game_level_hints.levels["Level06_01_S8"] = function()
	return 
    {
		miniscenes
		({
			level06_scene06_01 =
			{
				IF({ on_level("Oil_lamp01"), hidden("Oil_lamp01"), hidden("oil_lamp02") }, on_scene("level06_scene06_02", end_level("area_scene06_01"))),
				IF({ on_level("Oil_lamp01"), hidden("Oil_lamp01"), hidden("oil_lamp02") }, on_scene("level06_scene06_02", end_level("Snake_rope"))),
				on_scene("level06_miniscene_car_salon", end_level("back_close_car")),
				on_scene("level06_miniscene_car_boot", end_level("exit_hog")),
				on_scene("level06_miniscene_break_floor", end_level("back_close_break_floor")),
				on_scene("level06_miniscene_roots", end_level("back_close_roots"))				
			},
			level06_scene06_02 =
			{
				IF({ state("Board01_mini", "board01_mini02"), state("Board02_mini", "board02_mini02"), state("Board03_mini", "board03_mini02"), state("Board04_mini", "board04_mini02"), NOT(hidden("snake_hook")) }, on_scene("level06_miniscene_break_floor", end_level("area_scene06_02"))),
				IF({ state("Board01_mini", "board01_mini02"), state("Board02_mini", "board02_mini02"), state("Board03_mini", "board03_mini02"), state("Board04_mini", "board04_mini02"), NOT(hidden("snake_hook")) }, on_scene("level06_miniscene_break_floor", end_level("snake_hook"))),
				on_scene("level06_miniscene_secret_room", end_level("area_scene06_02_secret")),
				on_scene("level06_miniscene_stones", end_level("back_close_stones"))				
			},
			level06_miniscene_car_salon = 			 
			{
				IF( hidden("door_car01"), on_scene("level06_scene06_01", click("area_hint_car", "Key01"))),
				IF( hidden("door_car01"), on_scene("level06_scene06_01", click("area_car_salon", "Key01"))),
				IF(NOT(hidden("door_car01")), on_scene("level06_scene06_01", miniscene("door_car01"))),
				IF(NOT(hidden("door_car01")), on_scene("level06_scene06_01", miniscene("area_car_salon")))
			},
			level06_miniscene_car_boot = 
			{
				IF(NOT(on_level("Key01")), on_scene("level06_scene06_01", miniscene("area_car_boot")))
			},
			level06_miniscene_break_floor = 
			{
				IF(state("Security_guard", "security_guard03"), on_scene("level06_scene06_01", miniscene("area_cave")))
			},
			level06_miniscene_roots = 
			{
				IF(state("Security_guard", "security_guard03"), on_scene("level06_scene06_01", miniscene("tree02")))
			},
			level06_miniscene_heap_box = 
			{
				IF(state("Security_guard", "security_guard03"), on_scene("level06_scene06_01", miniscene("Heap_box")))
			},
			level06_miniscene_car_pedals = 
			{
				on_scene("level06_miniscene_car_salon", miniscene("area_pedals"))
			},
			level06_miniscene_secret_room = 
			{
				IF(state("Door01", "door01_03"), on_scene("level06_scene06_02", end_level("Door01")))
			},
			level06_miniscene_stones = 
			{
				on_scene("level06_scene06_02", miniscene("area_stone06"))
			}
		}),
		
		on_scene("level06_scene06_01",
		{
			IF(state("Sack01", "sack01_01"), click("Sack01")),
			IF(on_level("Sickle01"), click("Grass02")),
			--IF(state("Grass02", "grass02_01_down"), take("Sickle01"))
			take("Sickle01"),
			click("Grass02", "Sickle01"),
			IF(state("Sack01", "sack01_02"), click("Sack01", "grass_inv")),
			IF(on_level("Rope01"), click("area_rope_hint")),
			take("Rope01"),
			IF(state("Sack01", "sack01_03"), click("Sack01", "Rope01")),
			take("Scarecrow01"),
			take("Key01"),
			IF(hidden("door_car01"), click("area_hint_car", "Key01")),
			IF(hidden("door_car01"), click("area_car_salon", "Key01"))
		}),
		on_scene("level06_miniscene_car_salon",
		{
			click("area_seat01_01", "Scarecrow01"),
			take("Hat02"),
			click("Scarecrow03", "Hat02")
		}),
		on_scene("level06_miniscene_car_boot",
		{
			take("Pen01")
		}),
		on_scene("level06_miniscene_car_salon",
		{
			click("Scarecrow03", "Pen01")
		}),
		on_scene("level06_scene06_01",
		{
			IF(on_level("stone_inv"), click("stone07")),
			take("stone_inv")
		}),
		on_scene("level06_miniscene_car_pedals",
		{
			click("Pedal03", "stone_inv")
		}),
		on_scene("level06_miniscene_car_salon",
		{
			click("lock_steering", "Key01"),
			IF(state("Key_car", "key_car01"), click("Key_car")),
			IF({ state("Handbrake01", "handbrake01_01"), state("Key_car", "key_car02"), state("Pedal03", "pedal03_02"), state("Scarecrow03", "scarecrow03_04") }, click("Handbrake01"))
		}),
		on_scene("level06_miniscene_break_floor",
		{
			IF(state("Board01_mini", "board01_mini01"), click("Board01_mini")),
			IF(state("Board02_mini", "board02_mini01"), click("Board02_mini")),
			IF(state("Board03_mini", "board03_mini01"), click("Board03_mini")),
			IF(state("Board04_mini", "board04_mini01"), click("Board04_mini"))
		}),
		on_scene("level06_miniscene_roots",
		{
			take("Snake01"),
			take("Snake02"),
			take("Snake03"),
			take("Snake04"),
			take("Snake05"),
			take("Snake06"),
			take("Snake07"),
			take("Snake08"),
			take("Snake09"),
			take("Snake10"),
			take("Snake11"),
			take("Snake12"),
			take("Snake13")			
		}),
		on_scene("level06_miniscene_break_floor",
		{
			IF(state("Snake_flag", "snake_flag02"), click("hook01", "Snake_inv"))
		}),
		on_scene("level06_scene06_02",
		{
			IF(state("Door01", "door01_01"), minigame("Flask")),
			IF(state("Door01", "door01_04"), minigame("Flask")),
			take("Pick01")
		}),
		on_scene("level06_miniscene_heap_box",
		{
			click("Box02_mini", "Pick01"),
			take("Lamp01")
		}),
		on_scene("level06_miniscene_roots",
		{
			take("Matches01")
		}),
		on_scene("level06_scene06_02",
		{
			IF(state("Door01", "door01_02"), click("Door01", "lamp02_01")),
			IF({ state("Door01", "door01_02"), on_level("Casket01") }, click("Door01", "Oil_lamp01"))
		}),
		on_scene("level06_miniscene_secret_room",
		{
			IF(state("Flag_safe", "flag_safe01"), minigame("Safe01")),
			IF(state("Flag_table", "flag_table01"), click("periodic_table01")),
			IF({ state("Flag_table", "flag_table02"), state("Safe01", "safe01_01") }, minigame("Safe01")),
			take("Casket01")
		}),
		on_scene("level06_miniscene_stones",
		{
			take("Pliers01")			
		}),
		on_scene("level06_scene06_02",
		{
			take("Oil_lamp01"),
			click("Trolley01", "Oil_lamp01"),
			IF(state("Wheel01", "wheel01_02"), click("Wheel01", "Pliers01")),
			IF(state("Wheel01", "wheel01_02"), take("Wheel01")),
			click("Trolley02", "Wheel01"),
			IF(state("Trolley02", "trolley02_02"), click("Trolley02")),
			end_level("area_next_scene")
		})
	}
end 